Bug 508176 - RFE: ipa-client-install could search resolv.conf to discover DNS, additionally
RFE: ipa-client-install could search resolv.conf to discover DNS, additionally
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-client (Show other bugs)
unspecified
All Linux
low Severity medium
: future release
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 565950
  Show dependency treegraph
 
Reported: 2009-06-25 18:11 EDT by Don Davis
Modified: 2015-01-04 18:39 EST (History)
4 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:33:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Davis 2009-06-25 18:11:58 EDT
Description of problem:
currently, ipa-client-install examines only the client's hostname, 
in order to figure out which DNS domain the client belongs in.  
in weird zone/domain setups, though, the client may be configured 
to use a different DNS server than the one that the client's FQDN 
would lead you to expect.  nevertheless, even in these weird DNS
setups, ipa-client-install usually could still run pretty 
automatically, by looking through the client's /etc/resolv.conf
file to search for the right DNS server.  note that the goal here
is for ipa-client-install to do the right setup more often, 
without CLI options, and without throwing any warning messages or
prompts to the user for easily-mistyped names.

note that the proposal here is not to replace i-c-i's current
analysis of the client's FQDN.  rather, the proposal would
supplement that search, after the FQDN parsing fails to yield
a successful DNS lookup.

FWIW, i'm filing this RFE at simo's suggestion, after he, edewata,
and sgallagh helped me through my confusing newbie experience while
setting up ipa-client in just such a messed-up DNS config (my own).

Version-Release number of selected component (if applicable): 1.2.1

How reproducible:  yes, reliable

Steps to Reproduce:
1. change a desktop's FQDN, so that the donmain-suffix doesn't match
   the host's actual DNS domain.
2. set up the DNS server's .rev file to list the new hostname correctly
3. run ipa-client-install, without CLI options.
  
Actual results:   i-c-i throws a warning:  "Discovery of DNS failed!"

Expected results: i-c-i should say, "Discovery of DNS succeeded," or
                  whatever i-c-i sings for its happy song.

Additional info:
Comment 3 Rob Crittenden 2010-09-16 09:42:39 EDT
see ticket https://fedorahosted.org/freeipa/ticket/234

Note You need to log in before you can comment on or make changes to this bug.